Bug 1266774 - [abrt] kf5-kactivities: kactivitymanagerd killed by SIGSEGV
[abrt] kf5-kactivities: kactivitymanagerd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kactivities (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:622007172ff7db39983b9fbeedb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 13:18 EDT by Yonatan
Modified: 2016-12-20 19:10 EST (History)
144 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:47:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.43 KB, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: cgroup (177 bytes, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: core_backtrace (8.38 KB, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: dso_list (16.00 KB, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: environ (1.59 KB, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: exploitable (110 bytes, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: maps (40.91 KB, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: open_fds (1.59 KB, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details
File: proc_pid_status (875 bytes, text/plain)
2015-09-27 13:19 EDT, Yonatan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 355478 None None None Never

  None (edit)
Description Yonatan 2015-09-27 13:18:57 EDT
Version-Release number of selected component:
kf5-kactivities-5.14.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 3
cmdline:        /usr/bin/kactivitymanagerd start-daemon
executable:     /usr/bin/kactivitymanagerd
global_pid:     1417
kernel:         4.2.1-300.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 ??
 #1 QMetaObject::invokeMethod at kernel/qmetaobject.cpp:1464
 #2 Plugin::callOnRet<QString, (Qt::ConnectionType)1> at ../../../../../src/service/Plugin.h:107
 #3 StatsPlugin::currentActivity at ../../../../../src/service/plugins/sqlite/StatsPlugin.cpp:378
 #4 ResourceScoreMaintainer::Private::run at ../../../../../src/service/plugins/sqlite/ResourceScoreMaintainer.cpp:73
 #5 QThreadPrivate::start at thread/qthread_unix.cpp:331
Comment 1 Yonatan 2015-09-27 13:19:10 EDT
Created attachment 1077749 [details]
File: backtrace
Comment 2 Yonatan 2015-09-27 13:19:12 EDT
Created attachment 1077750 [details]
File: cgroup
Comment 3 Yonatan 2015-09-27 13:19:16 EDT
Created attachment 1077751 [details]
File: core_backtrace
Comment 4 Yonatan 2015-09-27 13:19:21 EDT
Created attachment 1077752 [details]
File: dso_list
Comment 5 Yonatan 2015-09-27 13:19:24 EDT
Created attachment 1077753 [details]
File: environ
Comment 6 Yonatan 2015-09-27 13:19:28 EDT
Created attachment 1077754 [details]
File: exploitable
Comment 7 Yonatan 2015-09-27 13:19:30 EDT
Created attachment 1077755 [details]
File: limits
Comment 8 Yonatan 2015-09-27 13:19:42 EDT
Created attachment 1077756 [details]
File: maps
Comment 9 Yonatan 2015-09-27 13:19:46 EDT
Created attachment 1077757 [details]
File: mountinfo
Comment 10 Yonatan 2015-09-27 13:19:49 EDT
Created attachment 1077758 [details]
File: namespaces
Comment 11 Yonatan 2015-09-27 13:19:53 EDT
Created attachment 1077759 [details]
File: open_fds
Comment 12 Yonatan 2015-09-27 13:19:56 EDT
Created attachment 1077760 [details]
File: proc_pid_status
Comment 15 Alan Schmidt 2015-11-05 10:40:47 EST
This also happens on x86_64.

The error pops up when I turn on my laptop, immediately upon log in.

It seems to appear somewhat consistently, ever since I installed the f23 beta a month ago. I don't think I remember seeing the error EVERY day, but it appears most days.

Ultimately, kactivitymanagerd ends up running -- or at least I see

/usr/bin/kactivitymanagerd start-daemon

...when I do a "ps" after the error pops up.
Comment 16 Mario Curcija 2015-11-18 12:28:11 EST
Updating QT5 packages from updates-testing worked for me: 
sudo dnf update qt5* --enablerepo=updates-testing
Comment 17 Pavel Alexeev 2015-11-24 03:54:01 EST
Unfortunately it does not fix for me.
Comment 18 Fedora End Of Life 2016-11-24 07:37:59 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Sylvain Petreolle 2016-12-03 06:59:31 EST
It has been resolved, can you retry ?
Comment 20 Fedora End Of Life 2016-12-20 09:47:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.